package com.steerinfo.dil.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/11/10 9:02
 * @Version:V2.0
 */
@FeignClient(value = "DAL-DAZHOU-JOIN-API",url = "https://172.16.33.161:8066")
public interface JoinApiFeign {
    /**
     * 采购火运详单接口
     * @param statementId
     * @return
     */
    @PostMapping("api/v1/join/bmstraindetailsorder/getPurchaseTrainDetailsOrder")
    List<Map<String,Object>> getPurchaseTrainDetailsOrder(@RequestParam("statementId") Integer statementId);

    /**
     * 采购火运账单接口
     * @param statementId
     * @return
     */
    @PostMapping("api/v1/join/bmstrainstatement/getTrainStatement")
    Map<String,Object> getTrainStatement(@RequestParam("statementId") Integer statementId);

    /**
     * 推送结算信息给金蝶的接口
     * @param map
     * @return
     */
    @PostMapping("api/v1/join/wsface/pushBmsSettlement")
    String WSFaceWay(@RequestBody Map<String, Object> map);


}
